Subject: Re: MPC52xx: sysfs failure on adding new device driver

From: "Mark Chambers" <[email-masked]>
Date: Thu, 9 Jun 2005 07:21:06 -0400

>I'm working on an MPC52xx SPI device driver using one of the PSC. 
>However, when I call driver_register() I get a failure (-17, EEXISTS)
>with a traceback (posted below).

Hey Grant,

This sounds exactly like a problem I had with PSC with devfs.  I posted
a patch here on 5/27, I bet you'll find it's a similar problem.  

(Let me know if you don't have access to that patch, I'll forward you my
copy)

Mark Chambers